import { DocumentNode } from "graphql";
import { ApolloEndpoint, Options } from "./index";
import { ApolloResult } from "./index";
declare class Apollo implements ApolloEndpoint {
    private link;
    private cache;
    private client;
    headers: object;
    desc: string;
    constructor(uri: string, options: Options);
    sendQuery<T>(data: DocumentNode, variables?: object, headers?: object): Promise<ApolloResult<T>>;
    sendMutation<T>(data: DocumentNode, variables?: object, headers?: object): Promise<ApolloResult<T>>;
}
export default Apollo;
