interface User {
    username: string;
    password: string;
}
interface ISession {
    sessions: {
        [id: string]: ISession;
    };
    tokenName: string;
}
declare class Session implements ISession {
    private sId;
    sessions: {
        [id: string]: ISession;
    };
    tokenName: string;
    constructor(sId: string);
    get token(): string | undefined;
    set token(value: string | undefined);
    addSubSession<S, E, T>(childSId: string, Cls: any, endpoint: E, template: T): S;
}
export type { User, ISession };
export default Session;
