import SnekTasks from "./index";
import { User } from "../../../../session";
import { ApolloResult } from "./index";
interface AuthData {
    auth: {
        token: string;
        refreshToken: string;
        user: {
            username: string;
        };
    };
}
interface RefreshData {
    refresh: {
        payload: string;
        token: string;
        refreshToken: string;
    };
}
interface RevokeData {
    revoke: {
        revoked: string;
    };
}
declare class SnekGqlAuthTasks {
    private parent;
    constructor(parent: SnekTasks);
    anon(): Promise<ApolloResult<AuthData>>;
    nonanon(user: User): Promise<ApolloResult<AuthData>>;
    refresh(): Promise<ApolloResult<RefreshData>>;
    revoke(): Promise<ApolloResult<RevokeData>>;
}
export default SnekGqlAuthTasks;
