"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SnekGqlGeneralTasks {
    constructor(parent) {
        this.parent = parent;
    }
    async gitlabServer() {
        const response = await this.parent.run("query", this.parent.template.queries.general.gitlabServer, {
            token: await this.parent.session.upToDateToken(),
        });
        return response;
    }
    async allPageUrls() {
        const response = await this.parent.run("query", this.parent.template.queries.general.allPageUrls, {
            token: await this.parent.session.upToDateToken(),
        });
        return response;
    }
}
exports.default = SnekGqlGeneralTasks;
