import { ScraperEndpoint, Options } from "./index";
declare class Scraper implements ScraperEndpoint {
    private root;
    headers: object;
    desc: string;
    proxy: string;
    constructor(root: string, options: Options);
    get url(): string;
    getJson<T>(path: string): Promise<T>;
    getDom(path: string): Promise<Document>;
    post<T>(path: string, data: string | Blob | ArrayBufferView | ArrayBuffer | FormData | URLSearchParams | ReadableStream<Uint8Array> | null | undefined): Promise<T>;
}
export default Scraper;
