"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SnekGqlAuthTasks {
    constructor(parent) {
        this.parent = parent;
    }
    async anon() {
        const response = await this.parent.run("mutation", this.parent.template.mutations.jwtAuth.auth, {
            username: "cisco",
            password: "ciscocisco",
        });
        return response;
    }
    async nonanon(user) {
        const response = await this.parent.run("mutation", this.parent.template.mutations.jwtAuth.auth, {
            username: user.username,
            password: user.password,
        });
        return response;
    }
    async refresh() {
        const response = await this.parent.run("mutation", this.parent.template.mutations.jwtAuth.refresh, {
            refreshToken: this.parent.session.refreshToken,
        });
        return response;
    }
    async revoke() {
        const response = await this.parent.run("mutation", this.parent.template.mutations.jwtAuth.revoke, {
            refreshToken: this.parent.session.refreshToken,
        });
        return response;
    }
}
exports.default = SnekGqlAuthTasks;
